
// PrinterDlg.h : 헤더 파일
//

#pragma once
#include "mPOSConst.h"
#include "MPosControllerPrinter.h"


// CPrinterDlg 대화 상자
class CPrinterDlg : public CDialog
{
// 생성입니다.
public:
	CPrinterDlg(CWnd* pParent = NULL);
	~CPrinterDlg();

// 대화 상자 데이터입니다.
	enum { IDD = IDD_PRINTER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 지원입니다.

	CString getPrinterStatusString(int status);
// 구현입니다.
protected:
	HICON m_hIcon;

	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	
	CMPosControllerPrinter m_Printer;
	int m_nInterface;
	int m_nConnectionType;
	CString m_strPort;

	static void __stdcall StatusUpdateEvent(int status);

	afx_msg void OnBnClickedRadio3();
	afx_msg void OnBnClickedRadio4();
	afx_msg void OnBnClickedRadio5();
	
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedRadio6();
	afx_msg void OnBnClickedRadio7();
};
